petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerDestroy

Destroys a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDestroy(PetscViewer *viewer)

Collective on PetscViewer

### Input Parameters

viewer -the PetscViewer to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen()

Level:beginner
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex2.c.html
src/sys/classes/viewer/examples/tutorials/ex1f90.F90.html
src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex15.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex19.c.html